//软件开通飞创
window.onload = function(){
    var account = window.PhoneNum.getPhone();
    //手机号码只读 2016-11-3
    $("#phone").val(account);
    
    var mackey = "693D48E2F804FCBD6AE423BEA6116DC0";
    var customName = "",customAccount = "",identifyNo = "",phone = "",verificationCode = "",wait = 60;
    var regMobile = /^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1})|(14[0-9]{1})|(17[0-9]{1}))+\d{8})$/;//判断手机号正则表达式
    var getCode = document.getElementById("getCode");
    //获取短信验证码
    var handle = function(){
        phone = document.getElementById("phone").value;
        if(phone&&regMobile.test(phone)){
            var result = "account="+phone+"&mackey="+mackey;
            var macCode = hex_md5(result);
            var options = {
                url:Common.urlConfig.oss_api_app_url+"/client/sms/auth_code/send",
                type:"post",
                data:{"mobile_tel":phone,"business_type":"3"}
            }
            Common.sendSms(options,function(data){
                if(data.result){
                    if(data.result=="0"){
                        getTimeout();
                        Common.showAlert({message:"验证码已发送",css:{width:"150px"}});
                        document.getElementById("mobile").innerHTML=phone;
                        document.getElementById("sendCodeTip").style.display="";
                        document.getElementById("verificationCode").value="";
                        setTimeout(function(){
                            Common.closeAlert();
                        },1000);
                    }else{
                        Common.showAlert({message:"发送短信失败",css:{width:"150px"}});
                        setTimeout(function(){
                            Common.closeAlert();
                        },1000);
                    }
                }else if(data.error_no){
                    Common.showAlert({message:data.error_info,css:{width:"150px"}});
                    setTimeout(function(){
                        Common.closeAlert();
                    },1000);
                }
            });
        }else{
            Common.showAlert({message:"请输入正确的手机号",css:{width:"150px"}});
            document.getElementById("phone").value="";
            document.getElementById("phone").focus();
            setTimeout(function(){
                       Common.closeAlert();
                       },1000)
        }//手机号码验证不通过
    };
    getCode.addEventListener("click",handle,false);//获取验证码点击事件
    //倒计时 计时器
    function getTimeout(){
        if(wait==0){
            getCode.innerHTML="获取验证码";
            wait=60;
            getCode.addEventListener("click",handle,false);//倒计时结束添加click事件
        }else{
            getCode.innerHTML="重新发送(" + wait + ")";
            getCode.removeEventListener("click",handle,false);
            setTimeout(function(){
                       wait--;
                       getTimeout();
                       },1000);
        }
    }
    
    //提交
    document.getElementById("submit").addEventListener("click",function(){
        customName = document.getElementById("customName").value;
        customAccount = document.getElementById("customAccount").value;
        identifyNo = document.getElementById("identifyNo").value;
        phone = document.getElementById("phone").value;
        verificationCode = document.getElementById("verificationCode").value;
        if (!customName) {
            Common.showAlert({message: "请输入客户名称", css: {width: "120px"}});
            setTimeout(function () {
                Common.closeAlert();
                document.getElementById("customName").focus();
            }, 1500);
            return;
        }
        if (!customAccount) {
            Common.showAlert({message: "请输入客户账户", css: {width: "120px"}});
            setTimeout(function () {
                Common.closeAlert();
                document.getElementById("customAccount").focus();
            }, 1500);
            return;
        }
        if (!identifyNo) {
            Common.showAlert({message: "请输入身份证号", css: {width: "120px"}});
            setTimeout(function () {
                Common.closeAlert();
                document.getElementById("identifyNo").focus();
            }, 1500);
            return;
        }
        if (!phone) {
            Common.showAlert({message: "请输入您的手机号", css: {width: "120px"}});
            setTimeout(function () {
                Common.closeAlert();
                document.getElementById("phone").focus();
            }, 1500);
            return;
        }
        if (!verificationCode) {
            Common.showAlert({message: "请输入验证码", css: {width: "120px"}});
            setTimeout(function () {
                Common.closeAlert();
                document.getElementById("verificationCode").focus();
            }, 1500);
            return;
        }
        /*************************sms验证******begin************************/
        var options = {
            url:Common.urlConfig.oss_api_app_url+"/client/sms/auth_code/check",
            type:"get",
            data:{"mobile_tel":phone,"business_type":"3","auth_check_code":verificationCode}
        }
        Common.checkSmsCode(options,function(data){
            if(data.result){
                if(data.result=="1"){
                    personObj = new Object();
                    personObj.applyType = "2";
                    personObj.custName = customName;
                    personObj.custAccount = customAccount;
                    personObj.identityno = identifyNo;
                    personObj.telphone = phone;
                    personObj.mackey = "693D48E2F804FCBD6AE423BEA6116DC0";
                    var d = $.param(personObj);
                    var macCode = hex_md5(d);
                    Common.ajax({
                        url: Common.urlConfig.console_url + "business/tradeSoftOpen",
                        type: "post",
                        dataType: "json",
                        data: {
                            "account": account,
                            "applyType": "2",
                            "custName": customName,
                            "custAccount": customAccount,
                            "identityno": identifyNo,
                            "telphone": phone,
                            "smsCode": verificationCode,
                            "macCode": macCode
                        },
                        callback: function (data) {
                            if (data.success == true) {
                                Common.showAlert({message: data.msg});
                                setTimeout(function () {
                                    Common.closeAlert();
                                    window.PhoneNum.Reback();
                                }, 1500);
                            } else {
                                Common.showAlert({message: data.msg, css: {width: "150px"}});
                                setTimeout(function () {
                                    Common.closeAlert();
                                }, 1500);
                            }
                        }
                    });
                }else{
                    Common.showAlert({message:"验证码错误或已过期",css:{width:"120px"}});
                    setTimeout(function(){
                        Common.closeAlert();
                    },1000);
                }
            }else if(data.error_no){
                Common.showAlert({message:data.error_info,css:{width:"120px"}});
                setTimeout(function(){
                    Common.closeAlert();
                },1000);
            }
        });
        /*************************sms验证******end************************/
    });
    
}

function closeoff(){
	Common.closeAlert();
}