//境外期货开户(公司)
window.onload=function(){
    //获取当前时间
    var dd = new Date(),
        q = dd.getFullYear(),
        m = (dd.getMonth()+1)<10?"0"+(dd.getMonth()+1):(dd.getMonth()+1),//获取当前月份的日期，不足10补0
        d = dd.getDate()<10?"0"+dd.getDate():dd.getDate(); //获取当前几号，不足10补0
    var b= q+""+m+""+d,h=q+"/"+m+"/"+d;
    var comName = "",
        regCertificateNo = "",
        name = "",
        phone = "",
        address = "",
        channel = "",
        orderDate = "",
        verificationCode = "",
        wait = 60;
    var mackey = "693D48E2F804FCBD6AE423BEA6116DC0",
    	regMobile = /^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1})|(14[0-9]{1})|(17[0-9]{1}))+\d{8})$/;
    var getCode = document.getElementById("getCode");
    //获取短信验证码
    var handle = function(){
        phone = document.getElementById("phone").value;
        if(phone&&regMobile.test(phone)){
            var result = "account="+phone+"&mackey="+mackey;
            var macCode = hex_md5(result);
            Common.ajax({
                url:Common.urlConfig.console_url+"webUser/sendSms",
                type:"post",
                dataType:"json",
                data:{"account":phone,"macCode":macCode},
                callback:function(data){
                    if(data.success==true){
                        getTimeout();
                        Common.showAlert({message:"验证码已发送",css:{width:"120px"}});
                        document.getElementById("verificationCode").value="";
                        setTimeout(function(){
                            Common.closeAlert();
                        },1000);
                    }else{
                        Common.showAlert({message:data.msg,css:{width:"120px"}});
                        setTimeout(function(){
                            Common.closeAlert();
                        },1000);
                    }
                }
            });
        }else{
            Common.showAlert({message:"请输入正确的手机号",css:{width:"150px"}});
            document.getElementById("phone").value="";
            document.getElementById("phone").focus();
            setTimeout(function(){
                Common.closeAlert();
            },1000)
        }//手机号码验证不通过
    };
    getCode.addEventListener("click",handle,false);//获取验证码点击事件
    //倒计时 计时器
    function getTimeout(){
        if(wait==0){
            getCode.innerHTML="获取验证码";
            wait=60;
            getCode.addEventListener("click",handle,false);//倒计时结束添加click事件
        }else{
            getCode.innerHTML="重新发送(" + wait + ")";
            getCode.removeEventListener("click",handle,false);
            setTimeout(function(){
                wait--;
                getTimeout();
            },1000);
        }
    }

    //确认提交
    document.getElementById("submit").addEventListener('click',function(){
        comName = document.getElementById("comName").value;
        regCertificateNo = document.getElementById("regCertificateNo").value;
        name = document.getElementById("name").value;
        phone = document.getElementById("phone").value;
        address = document.getElementById("address").value;
        channel = document.getElementById("channel").value;
        orderDate = document.getElementById("orderDate").value;
        verificationCode = document.getElementById("verificationCode").value;

        var t1=orderDate.replace("-",""),
            t2=t1.replace("-","");
        var time = orderDate.replace("-","/").replace("-","/");
        var companynum = comName.replace(/[^\x00-\xff]/g, "**").length,
            namenum = name.replace(/[^\x00-\xff]/g, "**").length,
            addressnum = address.replace(/[^\x00-\xff]/g, "**").length,
            channelnum = channel.replace(/[^\x00-\xff]/g, "**").length;
        var regCertificate = /^\d{15}$/;//判断注册证书号码正则
        var regMobile = /^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1})|(14[0-9]{1})|(17[0-9]{1}))+\d{8})$/;//判断手机号正则表达式
        if(!comName){
            Common.showAlert({message:"请输入公司的名称",css:{width:"120px;"}});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("comName").focus();
            },1500);
            return;
        }
        if(companynum>50){
            Common.showAlert({message:"公司名称长度最多25个汉字",css:{width:"120px;"}});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("comName").value="";
                document.getElementById("comName").focus();
            },1500);
            return;
        }
        if(!regCertificateNo){
            Common.showAlert({message:"请输入公司的注册证书号码"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("regCertificateNo").focus();
            },1500);
            return;
        }
        if(!regCertificate.test(regCertificateNo)){
            Common.showAlert({message:"请输入正确的注册证书号码"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("regCertificateNo").value="";
                document.getElementById("regCertificateNo").focus();
            },1500);
            return;
        }
        if(!name){
            Common.showAlert({message:"请输入联系人姓名"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("name").focus();
            },1500);
            return;
        }
        if(namenum>20){
            Common.showAlert({message:"输入的姓名不能超过10个汉字"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("name").value="";
                document.getElementById("name").focus();
            },1500);
            return;
        }
        if(!phone){
            Common.showAlert({message:"请输入联系人电话"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("phone").focus();
            },1500);
            return;
        }
        if(!regMobile.test(phone)){
            Common.showAlert({message:"请输入正确的手机号码"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("phone").value="";
                document.getElementById("phone").focus();
            },1500);
            return;
        }
        if(!address){
            Common.showAlert({message:"请输入有效地址"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("address").focus();
            },1500);
            return;
        }
        if(addressnum>100){
            Common.showAlert({message:"联系地址最多50个字"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("address").value="";
                document.getElementById("address").focus();
            },1500);
            return;
        }
        if(!channel){
            Common.showAlert({message:"请输入了解弘业的渠道"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("channel").focus();
            },1500);
            return;
        }
        if(channelnum>50){
            Common.showAlert({message:"了解渠道不超过25个字"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("channel").value="";
                document.getElementById("channel").focus();
            },1500);
            return;
        }
        if(!orderDate){
            Common.showAlert({message:"请选择预约时间"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("orderDate").focus();
            },1500);
            return;
        }
        if(b>t2){
            Common.showAlert({message:"预约时间必须晚于当前时间"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("orderDate").value="";
                document.getElementById("orderDate").focus();
            },1500);
            return;
        }
        if(!verificationCode){
            Common.showAlert({message:"请输入验证码"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("verificationCode").focus();
            },1500);
            return;
        }
        personObj = new Object();
        personObj.ordertype = 1;
        personObj.accountType = 2;
        personObj.companyName = comName;
        personObj.regCertificateNo = regCertificateNo;
        personObj.userName = name;
        personObj.telphone = phone;
        personObj.address = address;
        personObj.sourceFrom = channel;
        personObj.orderDate = time;
        personObj.mackey = "693D48E2F804FCBD6AE423BEA6116DC0";
        var data = $.param(personObj);
        var d = hex_md5(data);
        Common.ajax({
            url:Common.urlConfig.console_url+"apply/orderAccount",
            type: "post",
            dataType: "json",
            data:{
                "ordertype":1,
                "accountType":2,
                "companyName":comName,
                "regCertificateNo":regCertificateNo,
                "userName":name,
                "telphone":phone,
                "address":address,
                "sourceFrom":channel,
                "orderDate":time,
                "autoCode":verificationCode,
                "macCode":d
            },
            callback: function (data) {
                Common.showAlert({message:data.msg});
                setTimeout(function(){
                    Common.closeAlert();
                    window.PhoneNum.Reback();
                },1500);
            }
        });
    });
}
function closeoff(){
	Common.closeAlert();
}