//股指仿真申请（法人）
window.onload=function(){
    var companyName="",
        registeredCapital="",
        businessNum="",
        orgNum="",
        taxNum="",
        lastDate="",
        name="",
        identifynum="",
        phone="",
        address="",
        postcode="",
        verificationCode="";
    var regIdentify = /^(\d{6})(\d{4})(\d{2})(\d{2})(\d{3})([0-9]|X)$/,//判断身份证号码正则
    regMobile = /^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1})|(14[0-9]{1})|(17[0-9]{1}))+\d{8})$/,//判断手机号正则表达式
    regPost = /[1-9]\d{5}(?!\d)/,//判断邮编正则
    regBusinessNum = /^\d{18}$/,//判断营业执照号
    regOrgNum = /^\d{9}$/,//判断组织机构代码证
    regTaxNum = /^\d{15}$/;//判断税务登记证
    var mackey = "693D48E2F804FCBD6AE423BEA6116DC0",
	wait=60;
var getCode = document.getElementById("getCode");
//获取短信验证码
var handle = function(){
    phone = document.getElementById("phone").value;
    if(phone&&regMobile.test(phone)){
        var result = "account="+phone+"&mackey="+mackey;
        var macCode = hex_md5(result);
        Common.ajax({
            url:Common.urlConfig.console_url+"webUser/sendSms",
            type:"post",
            dataType:"json",
            data:{"account":phone,"macCode":macCode},
            callback:function(data){
                if(data.success==true){
                    getTimeout();
                    Common.showAlert({message:"验证码已发送",css:{width:"120px"}});
                    document.getElementById("verificationCode").value="";
                    setTimeout(function(){
                        Common.closeAlert();
                    },1000);
                }else{
                    Common.showAlert({message:data.msg,css:{width:"120px"}});
                    setTimeout(function(){
                        Common.closeAlert();
                    },1000);
                }
            }
        });
    }else{
        Common.showAlert({message:"请输入正确的手机号",css:{width:"150px"}});
        document.getElementById("phone").value="";
        document.getElementById("phone").focus();
        setTimeout(function(){
            Common.closeAlert();
        },1000)
    }//手机号码验证不通过
};
getCode.addEventListener("click",handle,false);//获取验证码点击事件
//倒计时 计时器
function getTimeout(){
    if(wait==0){
        getCode.innerHTML="获取验证码";
        wait=60;
        getCode.addEventListener("click",handle,false);//倒计时结束添加click事件
    }else{
        getCode.innerHTML="重新发送(" + wait + ")";
        getCode.removeEventListener("click",handle,false);
        setTimeout(function(){
            wait--;
            getTimeout();
        },1000);
    }
}
    //确认提交
    document.getElementById("submit").addEventListener('click',function(){
        companyName = document.getElementById("companyName").value;
        registeredCapital = document.getElementById("registeredCapital").value;
        businessNum = document.getElementById("businessNum").value;
        orgNum = document.getElementById("orgNum").value;
        taxNum = document.getElementById("taxNum").value;
        lastDate = document.getElementById("lastDate").value;
        name = document.getElementById("name").value;
        identifynum = document.getElementById("identifyNum").value;
        phone = document.getElementById("phone").value;
        address = document.getElementById("address").value;
        postcode = document.getElementById("postcode").value;
        verificationCode = document.getElementById("verificationCode").value;
        var companynum = companyName.replace(/[^\x00-\xff]/g, "**").length,
            namenum = name.replace(/[^\x00-\xff]/g, "**").length,
            addressnum = address.replace(/[^\x00-\xff]/g, "**").length;
        var time = lastDate.replace("-","/").replace("-","/");
        
        if(!companyName){
            Common.showAlert({message:"请输入公司名称"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("companyName").focus();
            },1500);
            return;
        }
        if(companynum>50){
            Common.showAlert({message:"公司名称最多25个汉字"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("companyName").value="";
                document.getElementById("companyName").focus();
            },1500);
            return;
        }
        if(!registeredCapital){
            Common.showAlert({message:"请输入注册资本"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("registeredCapital").focus();
            },1500);
            return;
        }

        if(!businessNum){
            Common.showAlert({message:"请输入营业执照"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("businessNum").focus();
            },1500);
            return;
        }
        if(!regBusinessNum.test(businessNum)){
            Common.showAlert({message:"请输入正确的营业执照号"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("businessNum").value="";
                document.getElementById("businessNum").focus();
            },1500);
            return;
        }
        if(!orgNum ){
            Common.showAlert({message:"请输入组织机构代码证"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("orgNum").focus();
            },1500);
            return;
        }
        if(!regOrgNum.test(orgNum)){
            Common.showAlert({message:"请输入正确的组织机构代码证"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("orgNum").value="";
                document.getElementById("orgNum").focus();
            },1500);
            return;
        }
        if(!taxNum){
            Common.showAlert({message:"请输入税务登记证"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("taxNum").focus();
            },1500);
            return;
        }
        if(!regTaxNum.test(taxNum)){
            Common.showAlert({message:"请输入正确的税务登记证"});
            setTimeout(function(){
                Common.closeAlert()
                document.getElementById("taxNum").value="";
                document.getElementById("taxNum").focus();
            },1500);
            return;
        }
        if(!lastDate){
            Common.showAlert({message:"请输入三证最近日期"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("lastDate").focus();
            },1500);
            return;
        }
        if(!name){
            Common.showAlert({message:"请输入公司法人代表姓名"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("name").focus();
            },1500);
            return;
        }
        if(namenum>20){
            Common.showAlert({message:"输入的姓名不能超过10个汉字"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("name").value="";
                document.getElementById("name").focus();
            },1500);
            return;
        }
        if(!identifynum){
            Common.showAlert({message:"请输入身份证号"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("identifyNum").focus();
            },1500);
            return;
        }
        if(!regIdentify.test(identifynum)){
            Common.showAlert({message:"请输入正确的身份证号"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("identifyNum").value="";
                document.getElementById("identifyNum").focus();
            },1500);
            return;
        }
        if(!phone){
            Common.showAlert({message:"请输入联系人电话"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("phone").focus();
            },1500);
            return;
        }
        if(!regMobile.test(phone)){
            Common.showAlert({message:"请输入正确的手机号码"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("phone").value="";
                document.getElementById("phone").focus();
            },1500);
            return;
        }
        if(!address){
            Common.showAlert({message:"请输入有效地址"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("address").focus();
            },1500);
            return;
        }
        if(addressnum>100){
            Common.showAlert({message:"联系地址最多50个字"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("address").value="";
                document.getElementById("address").focus();
            },1500);
            return;
        }
        if(!postcode){
            Common.showAlert({message:"请输入邮政编码"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("postcode").focus();
            },1500);
            return;
        }
        if(!regPost.test(postcode)){
            Common.showAlert({message:"请输入正确的邮编"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("postcode").value="";
                document.getElementById("postcode").focus();
            },1500);
            return;
        }
        if(!verificationCode){
            Common.showAlert({message:"请输入验证码"});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("verificationCode").focus();
            },1500);
            return;
        }
        personObj = new Object();
        personObj.ordertype = 4;
        personObj.personType = 1;
        personObj.companyName = companyName;
        personObj.registeredCapital = registeredCapital;
        personObj.businessNo = businessNum;
        personObj.orgNo = orgNum;
        personObj.taxNo = taxNum;
        personObj.businessLastDate = time;
        personObj.identitype = 1;
        personObj.identityno = identifynum;
        personObj.userName = name;
        personObj.telphone = phone;
        personObj.address = address;
        personObj.postcode = postcode;
        personObj.mackey = "693D48E2F804FCBD6AE423BEA6116DC0";
        var data = $.param(personObj);
        var d = hex_md5(data);
        Common.ajax({
            url:Common.urlConfig.console_url+"apply/orderAccount",
            type: "post",
            dataType: "json",
            data:{
                "ordertype":"4",
                "personType":"1",
                "companyName":companyName,
                "registeredCapital":registeredCapital,
                "businessNo":businessNum,
                "orgNo":orgNum,
                "taxNo":taxNum,
                "businessLastDate":time,
                "identitype":"1",
                "identityno":identifynum,
                "userName":name,
                "telphone":phone,
                "address":address,
                "postcode":postcode,
                "autoCode":verificationCode,
                "macCode":d
            },
            callback: function (data) {
                if(data.success==true){
                    Common.showAlert({message:data.msg});
                    setTimeout(function(){
                        Common.closeAlert();
                        window.PhoneNum.Reback();
                      //  window.location.href="openAccountList.html";
                    },1500);
                }else{
                    Common.showAlert({message:data.msg});
                    setTimeout(function(){
                        Common.closeAlert();
                    },1500);
                }
            }
        });
    });
}
function closeoff(){
	Common.closeAlert();
}