//软件开通开拓者
window.onload = function(){
    //是否已有软件账户
    var haveAccount = document.getElementById("haveAccount"),
        haveAccount1 = document.getElementById("haveAccount1"),
        haveAccount2 = document.getElementById("haveAccount2");
    haveAccount.addEventListener("click",function(){
        if(haveAccount.checked){
            haveAccount1.style.display="";
            haveAccount2.style.display="none";
        }else{
            haveAccount1.style.display="none";
            haveAccount2.style.display="";
        }
    });
    //服务费类型
    var selectFee = document.getElementById("selectFee");
    selectFee.addEventListener("click",function(){
        if(selectFee.value=="1"){
            document.getElementById("remarks").style.display="";
        }else{
            document.getElementById("remarks").style.display="none";
        }
    });

    var account = "15168334093";

    var customName,
        customAccount,
        qq,
        softwareAccount,
        softwareAccount2,
        feeRemark,
        phone,
        verificationCode;

    //获取验证码
    document.getElementById("getCode").addEventListener('click',function(){
        phone = document.getElementById("phone").value;
        var mackey = "693D48E2F804FCBD6AE423BEA6116DC0";
        var result = "account="+phone+"&mackey="+mackey;
        var macCode = hex_md5(result);
        Common.ajax({
            url:"webUser/sendSms",
            type:"post",
            dataType:"json",
            data:{"account":phone,"macCode":macCode},
            callback:function(data){
                if(data.success==true){
                    document.getElementById("mobile").innerHTML=phone;
                    document.getElementById("sendCodeTip").style.display="";
                }else{
                    Common.showAlert({message:data.msg,css:{width:"120px"}});
                    setTimeout(function(){
                        Common.closeAlert();
                    },1500);
                }
            }
        });
    });

    //提交
    document.getElementById("submit").addEventListener("click",function(){
        customName = document.getElementById("customName").value;
        customAccount = document.getElementById("customAccount").value;
        qq = document.getElementById("qq").value;
        softwareAccount = document.getElementById("softwareAccount").value;
        softwareAccount2 = document.getElementById("softwareAccount2").value;
        feeRemark = document.getElementById("feeRemark").value;
        phone = document.getElementById("phone").value;
        verificationCode = document.getElementById("verificationCode").value;

       if(!customName){
            Common.showAlert({message:"请输入客户名称",css:{width:"120px"}});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("customName").focus();
            },1500);
            return;
        }
        if(!customAccount){
            Common.showAlert({message:"请输入客户账户",css:{width:"120px"}});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("customAccount").focus();
            },1500);
            return;
        }
        if(!qq){
            Common.showAlert({message:"请输入qq号",css:{width:"120px"}});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("qq").focus();
            },1500);
            return;
        }
        if(haveAccount.checked){
            if(!softwareAccount){
                Common.showAlert({message:"您已有软件账户，请输入"});
                setTimeout(function(){
                    Common.closeAlert();
                    document.getElementById("softwareAccount").focus();
                },1500);
                return;
            }
        }else{
            if(!softwareAccount2){
                Common.showAlert({message:"您没有软件账户，请指定一个账号"});
                setTimeout(function(){
                    Common.closeAlert();
                    document.getElementById("softwareAccount2").focus();
                },1500);
                return;
            }
        }
        if(selectFee.value=="1"){
            if(!feeRemark){
                Common.showAlert({message:"请输入备注"});
                setTimeout(function(){
                    Common.closeAlert();
                    document.getElementById("feeRemark").focus();
                },1500);
                return;
            }
        }
        if(!phone){
            Common.showAlert({message:"请输入您的手机号",css:{width:"120px"}});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("phone").focus();
            },1500);
            return;
        }
        if(!verificationCode){
            Common.showAlert({message:"请输入验证码",css:{width:"120px"}});
            setTimeout(function(){
                Common.closeAlert();
                document.getElementById("verificationCode").focus();
            },1500);
            return;
        }

        if(haveAccount.checked){
            if(selectFee.value=="1"){
                //alert("已有软件账户服务费备注");
                haccount();
            }else{
                //alert("已有软件账户原服务费");
                haccount0();
            }
        }else{
            if(selectFee.value=="1"){
                //alert("没有软件账户服务费备注");
                Naccount();
            }else{
                //alert("没有软件账户原服务费");
                Naccount0();
            }
        }

    });

    //已有软件账户软件服务费备注
    function haccount(){
        personObj = new Object();
        personObj.applyType = "5";
        personObj.custName = customName;
        personObj.custAccount = customAccount;
        personObj.telphone = phone;
        personObj.isexistAccount = "0";
        personObj.softAccount = softwareAccount;
        personObj.feeType = "1";
        personObj.mackey = "693D48E2F804FCBD6AE423BEA6116DC0";
        var d = $.param(personObj);
        var macCode = hex_md5(d);
        console.log(d);
        console.log(macCode);
        Common.ajax({
            url:"business/tradeSoftOpen",
            type:"post",
            dataType:"json",
            data:{
                "account":account,
                "applyType":"5",
                "custName":customName,
                "custAccount":customAccount,
                "telphone":phone,
                "qq":qq,
                "isexistAccount":"0",
                "softAccount":softwareAccount,
                "feeType":"1",
                "smsCode":verificationCode,
                "feeRemark":feeRemark,
                "macCode":macCode
            },
            callback:function(data){
                if(data.success==true){
                    Common.showAlert({message:data.msg});
                }
            }
        });
    }

    //已有软件账户原软件服务费
    function haccount0(){
        personObj = new Object();
        personObj.applyType = "5";
        personObj.custName = customName;
        personObj.custAccount = customAccount;
        personObj.telphone = phone;
        personObj.isexistAccount = "0";
        personObj.softAccount = softwareAccount;
        personObj.feeType = "0";
        personObj.mackey = "693D48E2F804FCBD6AE423BEA6116DC0";
        var d = $.param(personObj);
        var macCode = hex_md5(d);
        console.log(d);
        console.log(macCode);
        Common.ajax({
            url:"business/tradeSoftOpen",
            type:"post",
            dataType:"json",
            data:{
                "account":account,
                "applyType":"5",
                "custName":customName,
                "custAccount":customAccount,
                "telphone":phone,
                "qq":qq,
                "isexistAccount":"0",
                "softAccount":softwareAccount,
                "feeType":"0",
                "smsCode":verificationCode,
                "macCode":macCode
            },
            callback:function(data){
                if(data.success==true){
                    Common.showAlert({message:data.msg});
                }
            }
        });
    }

    //没有软件账户软件服务费备注
    function Naccount(){
        personObj = new Object();
        personObj.applyType = "5";
        personObj.custName = customName;
        personObj.custAccount = customAccount;
        personObj.telphone = phone;
        personObj.isexistAccount = "1";
        personObj.softAccount = softwareAccount;
        personObj.feeType = "1";
        personObj.mackey = "693D48E2F804FCBD6AE423BEA6116DC0";
        var d = $.param(personObj);
        var macCode = hex_md5(d);
        console.log(d);
        console.log(macCode);
        Common.ajax({
            url:"business/tradeSoftOpen",
            type:"post",
            dataType:"json",
            data:{
                "account":account,
                "applyType":"5",
                "custName":customName,
                "custAccount":customAccount,
                "telphone":phone,
                "qq":qq,
                "isexistAccount":"1",
                "softAccount":softwareAccount2,
                "feeType":"1",
                "smsCode":verificationCode,
                "feeRemark":feeRemark,
                "macCode":macCode
            },
            callback:function(data){
                if(data.success==true){
                    Common.showAlert({message:data.msg});
                }
            }
        });
    }

    //没有软件账户原软件服务费
    function Naccount0(){
        personObj = new Object();
        personObj.applyType = "5";
        personObj.custName = customName;
        personObj.custAccount = customAccount;
        personObj.telphone = phone;
        personObj.isexistAccount = "1";
        personObj.softAccount = softwareAccount;
        personObj.feeType = "0";
        personObj.mackey = "693D48E2F804FCBD6AE423BEA6116DC0";
        var d = $.param(personObj);
        var macCode = hex_md5(d);
        console.log(d);
        console.log(macCode);
        Common.ajax({
            url:"business/tradeSoftOpen",
            type:"post",
            dataType:"json",
            data:{
                "account":account,
                "applyType":"5",
                "custName":customName,
                "custAccount":customAccount,
                "telphone":phone,
                "qq":qq,
                "isexistAccount":"1",
                "softAccount":softwareAccount2,
                "feeType":"0",
                "smsCode":verificationCode,
                "macCode":macCode
            },
            callback:function(data){
                if(data.success==true){
                    Common.showAlert({message:data.msg});
                }
            }
        });
    }
}
