//走进弘业

var welcome = function($){
    var account = "15168334093";//暂用

    //timestamp转换成datetime
    function timeStamp2String (time){
        var datetime = new Date();
        datetime.setTime(time);
        var year = datetime.getFullYear();
        var month = datetime.getMonth() + 1;
        var date = datetime.getDate();
       /* var hour = datetime.getHours();
        var minute = datetime.getMinutes();
        var second = datetime.getSeconds();*/
        //return year + "-" + month + "-" + date+" "+hour+":"+minute+":"+second;
        return year + "-" + month + "-" + date;
    };

    //查询公司动态
    function dynamic(){
        var mackey = "693D48E2F804FCBD6AE423BEA6116DC0";
        var result = "account="+account+"&mackey="+mackey;
        var macCode = hex_md5(result);
        Common.ajax({
            url:"company/getListsInfo",
            type:"post",
            dataType:"json",
            data:{"account":account,"pageNo":"1","pageSize":"10","macCode":macCode},
            callback:function(data){
                if(data.success==true){
                    for(var i in data.data){
                        //$("#trendsSize").append('<div class="am-flexbox q-mt-35 q-border-bottom2"><div class="am-flexbox-item am-ft-md am-ft-left q-pd8 fn-left">暂无数据</div></div>');
                        $("#trendsSize").append('<div class="am-flexbox q-mt-35 q-border-bottom2"><div class="am-flexbox-item am-ft-md am-ft-left q-pd8 fn-left">'+data.data[i].title+'<p class="am-ft-smmm q-ft-gray am-ft-right fn-right q-mt-3">'+timeStamp2String(data.data[i].createTime)+'</p></div></div>');
                    }
                    return s="1";
                }else{
                    Common.showAlert({message:data.msg,css:{width:"120px"}});
                }
            }
        });
    }

    //查询营业网点
    function network(){
        var mackey = "693D48E2F804FCBD6AE423BEA6116DC0";
        var result = "account="+account+"&mackey="+mackey;
        var macCode = hex_md5(result);
        Common.ajax({
            url:"site/getPageListNetDots",
            type:"post",
            dataType:"json",
            data:{"account":account,"pageNo":"1","pageSize":"5","macCode":macCode},
            callback:function(data){
                if(data.success==true){
                    for(var i in data.data){
                        $("#branchSize").append('<div class="am-flexbox am-ft-sm q-border-top q-pd15 q-pd-15"><div class="am-flexbox-item am-ft-left">'+data.data[i].name+'</div><div class="am-flexbox-item am-ft-right q-ft-blue">'+data.data[i].telephone+'</div></div><div class="q-pd-15 q-bg-gray am-ft-smm q-pd-t12-b10"><span class="">'+data.data[i].address+'</span><br><span class="">'+data.data[i].fax+'</span></div>');
                    }
                    return s="2";
                }else{
                    Common.showAlert({message:data.msg,css:{width:"120px"}});
                }
            }
        });
    }

    //模糊搜索营业网点
    var searchBranch = document.getElementById("searchBranch");
    var clearText = document.getElementById("clearText");
    clearText.addEventListener("click",function(){
        clear();
    });
    searchBranch.addEventListener("change",function(){
       var searchContent = document.getElementById("searchBranch").value;
        personObj = new Object();
        personObj.account = account;
        personObj.conditionName = searchContent;
        personObj.mackey = "693D48E2F804FCBD6AE423BEA6116DC0";
        var macCode = hex_md5($.param(personObj));
        Common.ajax({
            url:"getNetDotsByCondition",
            type:"post",
            dataType:"json",
            data:{"account":account,"conditionName":searchContent,"macCode":macCode},
            callback:function(data){
                if(data.success==true){
                    document.getElementById("branchSize").innerHTML="";
                    for(var i in data.data){
                        $("#branchSize").append('<div class="am-flexbox am-ft-sm q-border-top q-pd15 q-pd-15"><div class="am-flexbox-item am-ft-left">'+data.data[i].name+'</div><div class="am-flexbox-item am-ft-right q-ft-blue">'+data.data[i].telephone+'</div></div><div class="q-pd-15 q-bg-gray am-ft-smm q-pd-t12-b10"><span class="">'+data.data[i].address+'</span><br><span class="">'+data.data[i].fax+'</span></div>');
                    }
                }else{
                    Common.showAlert({message:"对不起未搜索到对应的营业部",css:{width:"120px"}});
                    setTimeout(function(){
                        Ccmmon.closeAlert();
                    },1500);
                }
            }
         });
    });
    //清除搜索框
    function clear(){
        document.getElementById("searchBranch").value="";
    }

    //诚聘英才
    function findjob(){
        window.location.href="http://www.ftol.com.cn/main/zjhy/cpyc/index.shtml";
    }

    $(function(){
        //swiper
        var mySwiper = new Swiper('.swiper-container',{
            pagination: '.my-pagination',
            paginationClickable: true,
            paginationBulletRender: function (index, className) {
                switch (index) {
                    case 0: name='弘业介绍';break;
                    case 1: name='公司动态';break;
                    case 2: name='营业网点';break;
                    case 3: name='诚聘英才';break;
                    case 4: name='从业人员';break;
                    default: name='';
                }
                return '<span class="' + className + '">' + name + '</span>';

            },
            onSlideChangeEnd: function(swiper,even){
                if(mySwiper.activeIndex=="0"){
                    $("#introduce").show();
                    $("#trends").hide();
                    $("#branch").hide();
                    $("#recruit").hide();
                    $("#notice").hide();

                }else if(mySwiper.activeIndex=="1"){
                    $("#introduce").hide();
                    $("#trends").show();
                    $("#branch").hide();
                    $("#recruit").hide();
                    $("#notice").hide();
                    dynamic();

                }else if(mySwiper.activeIndex=="2"){
                    $("#introduce").hide();
                    $("#trends").hide();
                    $("#branch").show();
                    $("#recruit").hide();
                    $("#notice").hide();
                    network();
                }else if(mySwiper.activeIndex=="3"){
                    $("#introduce").hide();
                    $("#trends").hide();
                    $("#branch").hide();
                    $("#recruit").show();
                    $("#notice").hide();
                    findjob();
                }else if(mySwiper.activeIndex=="4"){
                    $("#introduce").hide();
                    $("#trends").hide();
                    $("#branch").hide();
                    $("#recruit").hide();
                    $("#notice").show();
                }
            }
        });

        //下拉加载
        $(document).ready(function(){
            var range = 50;             //距下边界长度/单位px
            var elemt = 500;           //插入元素高度/单位px
            var maxnum = 50;            //设置加载最多次数
            var num = 1,mums= 1,numx=1;
            var totalheight = 0;
            $(this).scroll(function(){
                var srollPos = $(window).scrollTop();    //滚动条距顶部距离(页面超出窗口的高度)
                totalheight = parseFloat($(window).height()) + parseFloat(srollPos);
                if(($(document).height()-range) <= totalheight  && num != maxnum && s=="1"){//公司动态
                    num++;
                    var mackey = "693D48E2F804FCBD6AE423BEA6116DC0";
                    var result = "account="+account+"&mackey="+mackey;
                    var macCode = hex_md5(result);
                    Common.ajax({
                        url:"company/getListsInfo",
                        type:"post",
                        dataType:"json",
                        data:{"account":account,"pageNo":num,"pageSize":"8","macCode":macCode},
                        callback:function(data){
                            if(data.success==true){
                                for(var i in data.data){
                                    $("#trendsSize").append('<div class="am-flexbox q-mt-35 q-border-bottom2"><div class="am-flexbox-item am-ft-md am-ft-left q-pd8 fn-left">'+data.data[i].title+'<p class="am-ft-smmm q-ft-gray am-ft-right fn-right q-mt-3">'+timeStamp2String(data.data[i].createTime)+'</p></div></div>');
                                }
                                return s="1";
                            }
                        }
                    });
                }else if(($(document).height()-range) <= totalheight  && mums != maxnum && s=="2"){//营业部查询
                    num++;
                    var mackey = "693D48E2F804FCBD6AE423BEA6116DC0";
                    var result = "account="+account+"&mackey="+mackey;
                    var macCode = hex_md5(result);
                    Common.ajax({
                        url:"site/getPageListNetDots",
                        type:"post",
                        dataType:"json",
                        data:{"account":account,"pageNo":num,"pageSize":"5","macCode":macCode},
                        callback:function(data){
                            if(data.success==true){
                                for(var i in data.data){

                                    $("#branchSize").append('<div class="q-pd-15 q-pd-t11-b5 q-bg-gray"><span class="am-ft-smm q-ft-gray">'+data.data[i].provinceName+'</span></div>');
                                    $("#branchSize").append('<div class="am-flexbox am-ft-sm q-border-top q-pd15 q-pd-15"><div class="am-flexbox-item am-ft-left">'+data.data[i].name+'</div><div class="am-flexbox-item am-ft-right q-ft-blue">'+data.data[i].telephone+'</div></div><div class="q-pd-15 q-bg-gray am-ft-smm q-pd-t12-b10"><span class="">'+data.data[i].address+'</span><br><span class="">'+data.data[i].fax+'</span></div>');

                                }
                                return s="2";
                            }
                        }
                    });
                }
            });

        });


    });


}($);






